<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="utf-8">
	<meta content="IE=edge" http-equiv="X-UA-Compatible">
	<meta content="width=device-width, initial-scale=1" name="viewport">
	<meta content="LayoutIt!" name="author">
	<link rel="shortcut icon" href="img/favicon.ico">
	<link href="/static/css/bootstrap.min.css" rel="stylesheet">
	<link href="/static/css/style.css" rel="stylesheet">
	<title>HSim</title>
</head>

<body>
	<div class="main" id="main">
		<div class="title bg-dark">
			<div class=" text-center   ">
				<h1 class="display-3">HSim</h1>
			</div>
		</div>
		<input disabled id="newInput" type="button" value="New Input Settings" />
		<div class="container">
			<form action="/api/v1/tasks/" id="formConf" method="POST">
				<div class="row">
					<div class="col-md-3 text-center forms" id="input_settings">
						<h2>Input Settings</h2>
						<div class="form_input_settings" id="form_input_settings">
							<div class="form-group">
								<label for="repository">Repository</label>
								<select class="form-control" id="repository" name="repository">
									<option value="0">Select repository</option>
									<option value="1">Physionet</option>
									<option value="2">Kaggle</option>
								</select>
							</div>
							<div class="d-none" id="repositoryPhysionet" name="repositoryPhysionet">
								<div class=" form-group ">
									<label for="database">
										Database
									</label>
									<select class="form-control" id="database" name="database"></select>
								</div>
								<div class="form-group">
									<label for="dataType">
										Data Type
									</label>
									<select class="form-control" id="dataType" name="dataType"></select>
								</div>
							</div>
							<div class="d-none" id="repositoryKaggle">
								<label for="exampleInputFile">
									Kaggle
								</label>
								<input class="form-control" id="configKaggle" min="0" type="number">
							</div>
						</div>
					</div>
					<div class="col-md-3 text-center forms">
						<h2>Output Settings</h2>
						<div class="output_settings">
							<div id="repeat_settings">
								<div class="form-group">
									<label for="repeat">
										Repeat
									</label>
									<select class="form-control" id="repeat" name="repeat">
										<option value="0">Select Repeat</option>
										<option value="1">Interval</option>
										<option value="2">Interval between times</option>
										<option value="3">At a specific time</option>
										<option value="4">Custom</option>
									</select>
								</div>

								<div class="d-none" id="settingsInterval">
									<div class="form-group row">
										<label class="col-sm-4 col-form-label"
											for="repeat_settings_interval">Every</label>
										<div class="col-sm-3">
											<input class="form-control" id="repeat_settings_interval" min="1"
												name="repeat_settings_interval" type="number" value="1">
										</div>
										<div class="col-sm-5">
											<select class="form-control" id="repeat_settings_unit"
												name="repeat_settings_unit">
												<option>second</option>
												<option>minute</option>
												<option>hours</option>
											</select>
										</div>
									</div>
								</div>

								<div class="d-none" id="settingsIntervalBetween">
									<div class="form-group row">
										<label class="col-sm-4 col-form-label"
											for="repeat_settings_interval">Every</label>
										<div class="col-sm-3">
											<input class="form-control" id="repeat_settings_interval" min="1"
												name="repeat_settings_interval" type="number" value="1">
										</div>
										<div class="col-sm-5">
											<select class="form-control" id="repeat_settings_unit"
												name="repeat_settings_unit">
												<option>second</option>
												<option>minute</option>
												<option>hours</option>
											</select>
										</div>
									</div>
									<div class="form-group row">
										<label class="col-sm-4 col-form-label"
											for="repeat_settings_start">Between</label>
										<div class="col-sm-4">
											<select class="form-control" id="repeat_settings_start"
												name="repeat_settings_start"></select>
										</div>
										<div class="col-sm-4">
											<select class="form-control" id="repeat_settings_end"
												name="repeat_settings_end"></select>
										</div>
									</div>
								</div>

								<div class="d-none" id="settingsIntervalSpecificTime">
									<div class="form-group row">
										<label class="col-sm-4 col-form-label" for="repeat_settings_at">At</label>
										<div class="col-sm-8">
											<input class="form-control" id="repeat_settings_at"
												name="repeat_settings_at" type="time" value="12:00">
										</div>
									</div>
								</div>

								<div class="d-none" id="settingsExpression">
									<div class="form-group row">
										<label class="col-sm-4 col-form-label"
											for="repeat_settings_expression">Expression</label>
										<div class="col-sm-8">
											<input size="30" class="form-control" id="repeat_settings_expression"
												name="repeat_settings_expression" type="text">
										</div>
									</div>
								</div>

							</div>
							<div class=" form-group">
								<label for="protocol">
									Protocol
								</label>
								<select class="form-control" id="protocol" name="protocol">
									<option value="0">Select Protocol</option>
									<option value="1">MQTT</option>
									<option value="2">CoAP</option>
									<option value="3">WebSocket</option>
									<option value="4">HTTP</option>
								</select>
							</div>

							<div class="d-none protocols" id="settingsProtocolMqtt">
								<div class="form-group row">
									<label class="col-sm-2 col-form-label" for="MqttHost">Host</label>
									<div class="col-sm-10">
										<input class="form-control" id="MqttHost" name="MqttHost" type="text"
											value="localhost">
									</div>
									<label class="col-sm-2 col-form-label" for="MqttTopic">Topic</label>
									<div class="col-sm-10">
										<input class="form-control" id="MqttTopic" name="MqttTopic" type="text"
											value="/topic">
									</div>
									<label class="col-sm-2 col-form-label" for="MqttPort">Port</label>
									<div class="col-sm-10">
										<input class="form-control" id="MqttPort" name="MqttPort" type="text"
											value="1883">
									</div>
								</div>
							</div>
							<div class="d-none protocols" id="settingsProtocolCoap">
								<div class="form-group row">
									<label class="col-sm-2 col-form-label" for="CoapHost">Host</label>
									<div class="col-sm-10">
										<input class="form-control" id="CoapHost" name="CoapHost" type="text"
											value="localhost">
									</div>
									<label class="col-sm-2 col-form-label" for="CoapPort">Port</label>
									<div class="col-sm-10">
										<input class="form-control" id="CoapPort" name="CoapPort" type="text"
											value="1883">
									</div>
								</div>
							</div>
							<div class="d-none protocols" id="settingsProtocolWebSocket">
								<div class="form-group row">
									<label class="col-sm-2 col-form-label" for="WsPort">Socket</label>
									<div class="col-sm-10">
										<input class="form-control" id="WsPort" name="WsPort" type="text" value="1883">
									</div>
									<label class="col-sm-2 col-form-label" for="WspHost">Host</label>
									<div class="col-sm-10">
										<input class="form-control" id="WspHost" name="WsHost" type="text"
											value="localhost">
									</div>
									<label class="col-sm-2 col-form-label" for="WsPort">Proxy</label>
									<div class="col-sm-10">
										<input class="form-control" id="WsProxy" name="WsProxy" type="text" value="ws">
									</div>
								</div>
							</div>
							<div class="d-none protocols" id="settingsProtocolHTTP">
								<div class="form-group row">
									<label class="col-sm-2 col-form-label" for="HTTPurl">URL</label>
									<div class="col-sm-10">
										<input class="form-control" id="httpPort" name="httpPort" type="text"
											value="http://localhost:8000/api/">
									</div>
								</div>
							</div>
							<!-- <div class="form-group">
								<label for="lenghDataOutput">
									Connection number
								</label>
								<input class="form-control" id="connectionNumber" min="1" name="connectionNumber"
									type="number" value="1">
							</div> -->
							<div class="form-group">
								<label for="exampleInputFile">
									Data format
								</label>
								<select class="form-control" id="dataFormat" name="dataFormat"></select>
							</div>
						</div>
					</div>
					<div class=" col-md-6 row text-center">
						<div class="col-md-8 forms">
							<h2>Metrics Simulation</h2>
							<canvas height="600" id="chart" width="800"></canvas>
						</div>
						<div class="col-md-4 forms">
							<h2>Metrics Cluster</h2>
							<div class=" box" id="metrics">
								<label>Containers</label>
								<div class="count" id="conteires_use">+/- 00</div>
								<label>Memory Usage</label>
								<div class="count" id="m_use">00</div>
								<label>CPU %</label>
								<div class="count" id="cpu_use">+/- 00</div>
								<label>NET I/O</label>
								<div class="count" id="netIO_use">00</div>
								<label>Block I/O</label>
								<div class="count" id="blockIO_use">+/- 00</div>

							</div>
						</div>
					</div>
				</div>
		</div>
		<div class="button_select text-center">
			<button class="btn-lg btn-success" id="btnRun" name="btnRun" type="submit">Prepare</button>
			<button class="btn-lg  btn-warning" id="btnPause" name="btnPause">Pause</button>
			<button class="btn-lg  btn-secondary" id="btnResume" name="btnResume">Resume</button>
			<button class="btn-lg btn-danger" id="btnStop" name="btnStop">Stop</button>
		</div>
		<footer class="footer text-center py-3 ">
			<p>&copy; Copyright 2019 HSim</p>
		</footer>
		<script type="text/javascript">var URL_ROOT = "{{ request.url_root }}";</script>
		<script src="/static/js/jquery.min.js"></script>
		<script src="/static/js/bootstrap.min.js"></script>
		<script src="/static/js/jquery.form.min.js"></script>
		<script src="/static/js/scripts.js"></script>
		<script src="/static/js/Chart.min.js"></script>
		<script src="/static/js/Chart.bundle.min.js"></script>
</body>

</html>